| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
taxonomy.php File Reference

## Functions
| file_tag_encode ($s)
| file_tag_decode ($s)
| file_tag_file_query ($table, $s, $type= 'file')
| term_query ($table, $s, $type=TERM_UNKNOWN)
| store_item_tag ($uid, $iid, $otype, $type, $term, $url= '')
| get_terms_oftype ($arr, $type)
| format_term_for_display ($term)
| tagadelic ($uid, $count=0, $authors= '', $flags=0, $type=TERM_HASHTAG)
| tags_sort ($a, $b)
| tagblock ($link, $uid, $count=0, $authors= '', $flags=0, $type=TERM_HASHTAG)
| obj_verbs ()
| obj_verb_selector ()

## Function Documentation

file_tag_decode | ( |  | $s | ) |

file_tag_encode | ( |  | $s | ) |

file_tag_file_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `'file'`
| ) |  |

Referenced by lastpost_content().

format_term_for_display | ( |  | $term | ) |

Referenced by conversation().

get_terms_oftype | ( |  | $arr,
|  |  | $type
| ) |  |

Referenced by conversation(), editpost_content(), item_expire(), item_getfeedtags(), prepare_body(), tag_deliver(), and tgroup_check().

obj_verb_selector | ( |  | ) |

Referenced by thing_content().

obj_verbs | ( |  | ) |

verbs: [0] = first person singular, e.g. "I want", [1] = 3rd person singular, e.g. "Bill wants" We use the first person form when creating an activity, but the third person for use in activities FIXME: There is no accounting for verb gender for languages where this is significant. We may eventually require obj_verbs() to provide full conjugations and specify which form to use in the $_REQUEST params to this module.

Referenced by advanced_profile(), obj_verb_selector(), and thing_init().

store_item_tag | ( |  | $uid,
|  |  | $iid,
|  |  | $otype,
|  |  | $type,
|  |  | $term,
|  |  | $url = `''`
| ) |  |

Referenced by filer_content(), tag_deliver(), and tagger_content().

tagadelic | ( |  | $uid,
|  |  | $count = `0`,
|  |  | $authors = `''`,
|  |  | $flags = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

Referenced by tagblock().

tagblock | ( |  | $link,
|  |  | $uid,
|  |  | $count = `0`,
|  |  | $authors = `''`,
|  |  | $flags = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

Referenced by channel_aside(), and lastpost_aside().

tags_sort | ( |  | $a,
|  |  | $b
| ) |  |

term_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `TERM_UNKNOWN`
| ) |  |

Referenced by channel_content(), items_fetch(), and network_content().